Program description

HTML Help for Perpetuum mobile 4.0

Perpetuum mobile for Windows

HTML Help Hyperlinks:

Program Description

Perpetuum mobile is an interactive, three-dimensional video animation that also can be used as screen saver.

The game field of Perpetuum mobile is an open room in which the observer looks into.

The game window can be altered variably in the size. Hereby, also the room depth changes, which is then the smaller side of the window multiplied with the room depth factor.

The movement of the balls in the room can take place randomly or controlled by the selection of their start arrangement and movement direction.

A small reaction game can the further be started with the aim to hold with the at the uppermost room position appearing Blocker preferably many balls in the game.
The current and the highest reached number of balls becomes shown left above in the game window and additionally on the base 2 dialog page.

Operation:

The animations- or game course begins through selection of "Start !” from the pop-up menu appearing at the current cursor position or with the ”Start / Stop !” button of the basis dialog page.

With the menu selection „Show course“ changes the listener- to the spectator-position. With the positions „Elevator“ and „First ball“ moves the spectator in the room itself.

For the spectator position „Elevator" can be changed the elevator speed with a movement of the cursor over the game window.

An utilization of Perpetuum mobile as screen saver becomes through the menu point ”Screen saver !” introduced. Hereby, the game window is brought on a maximum size. The program attitudes keep their validity otherwise.

The background can be changed over the menu point “Room graphic".

With an existing sound card, you can with ”Sound topic” of the pop-up menu or the sound dialog page select under different Animations- and game accompanied sound topics or turn off the output of the sound card.

It becomes realized a multi voices (simultaneous) three dimensional output of the sounds of a topic, with which you can change your listener position (details to this in the help texts of the basis- and the sound dialog page).

With the right mouse button, the Pause- or F2-button can be interrupted Perpetuum mobile. Via the appearing pop-up menu, the desired alterations can be planned for the animations-, game- or screen saver-course.

Much fun and benefits with it !

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML Help may be free copied


Context Menu Commands

Start !

Hereby, you start the game course

Speed >

Here, you can select under seven speed levels for the balls.

Room graphic >

With this menu item, you select different room patterns for the balls.

For ”Desktop” is done a snapshot of the current background of Perpetuum mobile. To this, the program window is reduced for approximately a second to the symbol.

Sound topic >

Here, you have the selection under fourteen different sound topics: Room, Keyboard, Jungle, Sea in the storm, Billiard, Psycho, Orchestra, Piano, Violin/Guitar, Forest, Farm, Wild West, Nature and Latino.

With ”Sound off” takes place a silent game course.

Your Position (as Spectator or Listener) >

In Perpetuum mobile the sounds become output three-dimensional.

You can select from the following four positions:

Screen: You are before the monitor

Middle of the room: You are in the middle of the room

Elevator: You retrogress within two seconds in the room downward and again from above. The elevator speed can be changed by a movement of the cursor over the game window. With it Doppler-effects come reinforced to the validity.

First ball: You are at the position of the first generated 3D-Object.

Show course

If marked, you are as spectator at the selected room position. If demarcated, you are with a three-dimensional sound output the listener at the screen-position.

Perpetuum mobile >

Opens a dialog window (Property Sheet) with the sides (Property Pages) Base 1, Base 2, Graphic 1, Graphic 2, Tone and Language to the selection of further attitudes for the animation- and game course.

reaction game !

Activates a small reaction game, with which must be held preferably many balls in the room with a Blocker.

Screen saver !

Increases Perpetuum mobile to the full screen and activates the animation course.

A current reaction game is interrupted. All further program attitudes are retained.

End !

Finishes Perpetuum mobile under Windows.


Basis 1...

Dialog page Base 1

Ball speed

Input the common speed for all balls here. The allowable area is from zero (halt) until 99. With the spin buttons, one can select only until twelve.

With a marked Checkbox “impulsive” becomes the speed for each individual ball randomly the 1/10- until 10/10-times of the common speed.
After a collision of the balls changes the new movement- and rotation speed impulsively.

Gravity

Hereby, the ball movement is executed with gravity. The strength of the gravity is put in with the edit-control on the base 2-dialogside.

Dynamical ball movement

With the checkmark dynamical is selected a linear, exponential or dancing movement of the balls.

linear: the ball movement decreases from the double of the common speed up to the halt continually.

exponential: the ball movement decreases exponentially from the 2,24-times up to the 0,02-times of the common speed.

dances: the balls dance to an internal program. The dance lasts 120 sec. approximately and recurs constantly.

Listener- or Spectator position

In Perpetuum mobile the sounds become output three-dimensional.

You can select from the following four positions:

Screen: You are before the monitor

Middle of the room: You are in the middle of the room

Elevator: You retrogress within two seconds in the room downward and again from above.
The elevator speed can be changed by a movement of the cursor over the game window. With it Doppler effects come reinforced to the validity.

First ball: You are at the position of the first generated 3D-Object.

Show course

A marked Checkbox starts the show course. On this occasion changes the listener- to the spectator position.

Start / Stop !

Begins or interrupts the game course.

Reaction game!

Starts the small reaction game of Perpetuum mobile.


Basis 2...

Dialog page Base 2

Gravity factor

Fixed the strength of the gravity, if the ball movement is executed with gravity by a marked checkbox on the basis 1 dialog page.

Game score

With a current reaction game, one shows the highest and the current number of the balls here in the room.

Ball arrangement

here, the start order of the balls is selected:

random: the balls were assigned an accidental position in the room from below upward.

horizontal: the balls become arranged in horizontal room planes.

vertical: the balls become arranged in vertical room planes.

diagonally: the balls become placed in the room diagonally.

Ball movement

with a marked selection-box "random", the balls get an accidental movement direction to the start.

If the checkbox "random" isn't marked, the input-fields X, Y, Z determine the movement direction of the balls.
X, Y, Z are the room-coordinates of an arrow (3D-vector) in the size of X, Y, Z.

Load...

opens a dialog window to restore the game attitudes from an animation file.

Save...

opens a dialog window for saving of the game attitudes into an animation file.


Graphics 1...

Dialog page Graphics 1

Ball number

Declare the number of the balls in the room here. The maximum value amounts to 500.

The maximum value cannot be realized in dependence on the ball size and the room depth if no free movement of the balls is possible therefore.

If the animation course is cancelled with a too big number of balls irregular or it happens a bad graphic-output, you please write down a smaller amount here.

The input value is not decisive for the reaction game.

Ball size

This value determines the ball size.

It becomes restricted from the room depth and a maximum size with it the balls still freely can move.

Select here the for your taste and for the animation course matching ball size for Perpetuum mobile.

For the reaction game, a small value of the program is calculated and is pretended.

variable

With a marked selection box, the balls get a simple until double size.
After the first calculation, the soccers have a double size. After it the balls and the handballs.
With the fourth calculation, the representation takes place in assorted size for all object forms.

Room depth

This value determines the graphic reduction from the ceiling up to the ground of the game field of Perpetuum mobile.

With an room depth of one emerges at the ceiling a 1,6-times ball size opposite the ball size at the ground.

With an room depth of two a 2,2-times ball size.
With an room depth of three a 2,8-times ball size.
Etc... .

The value is restricted so that the balls can still move freely.

A maximum room depth of three and a small ball size is pretended for the reaction game.

synchronized output

With a marked checkbox, the balls are represented to the screen output synchronized if the graphic card-driver has DirectDraw capabilities.

For an output of the balls with topmost speed, the checkmark is to be removed.

The graphic output can also be improved through a smaller game window with a small ball size.

Pictures / second

In this output window, the calls of Perpetuum mobile within a second are passed out.

These are restricted for a synchronized game course to the number of the vertical ray-traces (picture-frequency) of the monitor.

For an unsynchronized game course, the amount is dependent of several factors: calculator speed, graphic expenditure and 3D-Sound.

int-Arithmetic

For processors without floating-point unit, a calculation of the ball bitmaps is available with fixed-point arithmetic.
On this occasion, also the polygons are in the time optimized calculated, through which are represented the border polygons with the 3D-Objects partial not correct.

MaskBlit

If marked, the bitmaps are brought with the fast MaskBlt-function to the ad.


Graphics 2...

Dialog page Graphics 2

Room graphic

Here, you have the selection under five different background graphics:
Lines, Colors, Colors and Lines, none and Desktop.

With „Colors“ and „Colors and lines“ changes the wall colors with each selection randomly.

For „Desktop” is done a snapshot of the current background of Perpetuum mobile. To this, the program window is reduced for approximately a second to the symbol.

3D-Objects

Marked selection boxes stand for the in the room to be generated 3D-Objects:

Soccers, balls and handballs.

Rotation speed

Put in the value here, with which the balls should rotate within four seconds.

With a value of four, the balls are turned within a second about one or several of their axes once completely. With a value of eight, they execute two rotations in a second, etc. .

Since a calculation is necessary for each ball representation to this, the rotation angle of the balls increases itself, the less ball bitmaps can be generated within a second.

random

With a marked selection box, the balls rotate with 1/8 to 8/8 of the input speed randomly. An impulsive collision of the balls changes also the rotation speed.

Rotation axis

A marked Checkbox allows the rotation of the balls within this axis.

If only one rotation axis is selected, the balls rotate in this with two possible rotation directions. Also one or two of the rotation axis can slip with several marked Checkboxes.


Tone...

Dialog page Tone

Sound topic

Select under fourteen sound topics for the animation or the reaction game here:
Room, Keyboard, Jungle, Sea in the storm, Billiard, Psycho, Orchestras, Piano, Violin/Guitar, Forest, Farm, Wild West, Nature and Latino.

With ”Sound off” takes place no output from the sound card.

3D-Sound

If this Checkbox is marked becomes with direct sound output (DirectSound) multi-voices 3D-Sound passed out.

If demarcated takes place the sound output in mono. Mono is commendable for slower calculators with older sound-cards.


Language...

Dialog page Language

User language

Choose the language here for the menu and for the information texts within Message boxes.

Help text language

Determines the language for the HTML help text and the description of the dialog windows.
For „other“ can be tied in even further HTML help texts under the filename PPMobile4_0_other.chm.

Help text !

 Shows a help text with an introductory program description.

about ...

Opens a Messagebox with program information and copyrights.


.topic 502
Ball speed

Input the common speed for all balls here.

The allowable area is from zero (halt) until 99. With the spin buttons, one can select only until twelve.

With a marked Checkbox “impulsive” becomes the speed for each individual ball randomly the 1/10- until 10/10-times of the common speed.

After a collision of the balls changes the new movement- and rotation speed impulsively.

.topic 503
Gravity

Hereby, the ball movement is executed with gravity. The strength of the gravity is put in with the edit-control on the base 2-dialog window.

.topic 504
Dynamical ball movement

With the checkmark dynamical is selected a linear, exponential or dancing movement of the balls.

- linear: the ball movement decreases from the double of the common speed up to the halt continually.

- exponential: the ball movement decreases exponentially from the 2,24-times up to the 0,02-times of the common speed.

- dances: the balls dance to an internal program. The dance lasts 120 sec. approximately and recurs constantly.

.topic 505
Listener- or Spectator position

In Perpetuum mobile the sounds become output three-dimensional.

You can select from the following four positions:

· Screen: You are before the monitor

· Middle of the room: You are in the middle of the room

· Elevator: You retrogress within two seconds in the room downward and again from above.

· First ball: You are at the position of the first generated 3D-Object.

The elevator speed can be changed by a movement of the cursor over the game window.

With it doppler-effects come reinforced to the validity.

.topic 510
Show-course

A marked Checkbox starts the show course. On this occasion changes the listener- to the spectator position.

.topic 518
Start / Stop !

Begins or interrupts the game-course.

.topic 517
Reaction-game!

Starts the small reaction game of Perpetuum mobile.

.topic 531
Gravity factor

Fixed the strength of the gravity, if the ball movement is executed with gravity by a marked checkbox on the basis 1-dialogside.

.topic 530
Game score

With a current reaction game, one shows the highest and the current number of the balls here in the room.

.topic 532
Ball arrangement

here, the start-order of the balls is selected:

- random: the balls were assigned an accidental position in the room from below upward.

- horizontal: the balls become arranged in horizontal room planes.

- vertical: the balls become arranged in vertical room planes.

- diagonally: the balls become placed in the room diagonally.

.topic 533
Ball movement

with a marked selection box "random", the balls get an accidental movement direction to the start.

If the checkbox "random" isn't marked, the input-fields X, Y, Z determine the movement direction of the balls.

X, Y, Z are the room-coordinates of an arrow (3D-vector) in the size of X, Y, Z.

.topic 534
Load...

opens a dialog window to restore the game attitudes from an animation file.

.topic 535
Save...

opens a dialog window for saving of the game attitudes into an animation file.

.topic 551
Ball-number

Declare the number of the balls in the room here. The maximum value amounts to 500.

The maximum value cannot be realized in dependence on the ball size and the room depth if no free movement of the balls is possible therefore.

If the animation course is cancelled with a too big ball number irregular or it happens a bad graphic-output, you please write down a smaller amount here.

The input value is not decisive for the reaction game.

.topic 552
Ball-size

This value determines the ball size.

It becomes restricted from the room depth and a maximum size with it the balls still freely can move.

Select here the for your taste and for the animation course matching ball size for Perpetuum mobile.

For the reaction game, a small value of the program is calculated and is pretended.

.topic 553
variable

With a marked selection box, the balls get a simple until double size. After the first calculation, the soccers have a double size. After it the balls and the handballs. With the third calculation, the representation takes place in assorted size for all object forms.

.topic 554
Room depth

This value determines the graphic reduction from the ceiling to the ground of the game field of Perpetuum mobile.

With an room depth of one emerges at the ceiling a 1,6-times ball size opposite the ball size at the ground.

With an room depth of two a 2,2-times ball-size.

With an room depth of three a 2,8-times ball-size.
Etc... .

The value is restricted so that the balls can still move freely.

A maximum room depth of three and a small ball size is pretended for the reaction game.

.topic 556
synchronized output

With a marked checkbox, the balls are represented to the screen-output synchronized if the graphic card-driver has DirectDraw capabilities.

For an output of the balls with topmost speed, the checkmark is to be removed.

The graphic-output can also be improved through a smaller game window with a small ball size.

.topic 559
int-Arithmetic

For processors without floating-point unit, a calculation of the ball-bitmaps is available with fixed-point arithmetic.

On this occasion, also the polygons are in the time optimized calculated, through which are represented the border polygons of the 3D-Objects partial not correct.

.topic 558
MaskBlit

If marked, the bitmaps are brought with the fast MaskBlt-function to the ad.

.topic 601
Room graphic

Here, you have the selection under five different background graphics:

Lines, Colors, Colors and Lines, none and Desktop.

With „Colors“ and „Colors and lines“ changes the wall colors with each selection randomly.

For „Desktop” is done a snapshot of the current background of Perpetuum mobile.

To this, the program-window is reduced for approximately a second to the symbol.

.topic 602
3D-Objects

Marked Checkboxes stand for the in the room to be generated 3D-Objects:

Soccers, balls and handballs.

.topic 603
Rotation speed

Put in the value here, with which the balls should rotate within four seconds.

With a value of four, the balls are turned within a second about one or several of their axes once completely. With a value of eight, they execute two rotations in a second, etc. .

.topic 604
random

With a marked selection-box, the balls rotate with 1/8 to 8/8 of the input speed randomly. An impulsive collision of the balls changes also the rotation speed.

.topic 605
Rotation axis

A marked Checkbox allows the rotation of the balls within this axis.

If only one rotation axis is selected, the balls rotate in this with two possible rotation directions.

Also one or two of the rotation axis can slip with several marked Checkboxes.

.topic 606
Pictures / Second

In this output window, the calls of Perpetuum mobile within a second are passed out.

These are restricted for a synchronized game course to the number of the vertical ray-traces (picture-frequency) of the monitor.

For an unsynchronized game course, the amount is dependent of several factors: calculator speed, graphic expenditure and 3D-Sound.

.topic 621
Sound topic

Select under fourteen sound topics for the animation or the reaction game here.

With ”Sound off” takes place no output from the sound card.

.topic 622
3D-Sound

If this Checkbox is marked becomes with direct sound output (DirectSound) multi-voices 3D-Sound passed out.

If demarcated takes place the sound output in mono. Mono is commendable for slower calculators with older sound cards.

.topic 630
User language

Choose the language here for the menu and for the information texts within Message boxes.

.topic 631
Help text language

Determines the language for the HTML help text and the description of the dialog windows.

For „other“ can be tied in even further HTML help texts under the file name PPMobile4_0_other.chm.

.topic 635
Help text!

Shows a help text with an introductory program description.

.topic 636
about ...

Opens a Messagebox with program information and copyrights.